<template>
  <div class="app flex-row align-items-center">
    <div class="container">
      <b-row class="justify-content-center">
        <b-col md="6">
          <b-card-group>
            <b-card no-body class="p-4">
              <b-card-body>
                <h1>Логин</h1>
                <p class="text-muted">Войдите в свой аккаунт</p>
                <b-input-group :class="['mb-3', {'has-error': errors.has('login')}]">
                  <b-input-group-prepend><b-input-group-text><i class="icon-user"></i></b-input-group-text></b-input-group-prepend>
                  <input type="text" class="form-control col-md-12" v-validate="'required'" placeholder="Логин" v-model="user.login" name="login">
                  <span v-show="errors.has('login')" class="text-danger col-md-12">{{ errors.first('login') }}</span>
                </b-input-group>
                <b-input-group :class="['mb-4', {'has-error': errors.has('password')}]">
                  <b-input-group-prepend><b-input-group-text><i class="icon-lock"></i></b-input-group-text></b-input-group-prepend>
                  <input type="password" class="form-control col-md-12" v-validate="'required'" placeholder="Пароль" v-model="user.password" name="password">
                  <span v-show="errors.has('password')" class="text-danger col-md-12">{{ errors.first('password') }}</span>
                </b-input-group>
                <b-row>
                  <b-col cols="6">
                    <b-button variant="primary" class="px-4" @click.prevent="$validator.validateAll()" @click="login()">Войти</b-button>
                  </b-col>
                  <!-- <b-col cols="6" class="text-right">
                    <b-button variant="link" class="px-0">Forgot password?</b-button>
                  </b-col> -->
                </b-row>
              </b-card-body>
            </b-card>
          </b-card-group>
        </b-col>
      </b-row>
    </div>
  </div>
</template>

<script>
import AuthenticationService from '../../services/AuthenticationService'
import Api from '@/services/Api'

export default {
  name: 'Login',
  data () {
    return {
      user: {
        login: '',
        password: ''
      }
    }
  },
  methods: {
    login () {
      if (this.user.login.length > 0 && this.user.password.length > 0) {
        AuthenticationService.login(this.user).then(response => {
          if (response.data.success) {
            console.log('auth')
            this.$auth.saveToken(response.data.token)
            // this.getMe()
            this.$router.push({
              name: 'Main'
            })
          } else {
            this.flash('Неверный логин или пароль', 'error')
            console.log(response.data.error)
          }
        }).catch(e => {
          console.log(e)
          this.flash('Пожалуйста, попробуйте заново', 'error')
        })
      } else {
        this.$validator.validateAll()
      }
    }
  }
}
</script>
